commit:     a0411fc4105e8e7c3a7710b5502de22f44629d3f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri May 27 09:38:32 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri May 27 09:39:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0411fc4

dev-ruby/hpricot: try to fix bug 584304

Add a patch to properly cast the input to sprintf. Hopefully this
fixes bug 584304 on alpha.

Package-Manager: portage-2.2.28

 .../hpricot/{hpricot-0.8.6-r3.ebuild => hpricot-0.8.6-r4.ebuild}    | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/hpricot/hpricot-0.8.6-r3.ebuild 
b/dev-ruby/hpricot/hpricot-0.8.6-r4.ebuild
similarity index 83%
rename from dev-ruby/hpricot/hpricot-0.8.6-r3.ebuild
rename to dev-ruby/hpricot/hpricot-0.8.6-r4.ebuild
index e6d01ea..c4adaa7 100644
--- a/dev-ruby/hpricot/hpricot-0.8.6-r3.ebuild
+++ b/dev-ruby/hpricot/hpricot-0.8.6-r4.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="https://wiki.github.com/hpricot/hpricot";
 
 LICENSE="MIT"
 SLOT="0"
-KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
 IUSE=""
 
 ruby_add_bdepend "dev-ruby/rake
@@ -37,6 +37,9 @@ all_ruby_prepare() {
 
        # Avoid unneeded dependency on git.
        sed -i -e '/^REV/ s/.*/REV = "6"/' Rakefile || die
+
+       # Fix int size warning
+       sed -i -e 's/te - ts/(int)(te - ts)/' ext/hpricot_scan/hpricot_css.rl 
|| die
 }
 
 each_ruby_prepare() {
@@ -52,6 +55,7 @@ each_ruby_configure() {
 each_ruby_compile() {
        local modname=$(get_modname)
 
+       ${RUBY} -S rake ragel || die
        emake V=1 -Cext/hpricot_scan CFLAGS="${CFLAGS} -fPIC" 
archflag="${LDFLAGS}" || die "make hpricot_scan failed"
        cp ext/hpricot_scan/hpricot_scan${modname} lib/ || die
 }

Reply via email to